#include "../../../include/shared.hpp"
#include <PSX/Periphery/periphery.hpp>
#include <stdio.h>

namespace ControllerTest {
    using namespace JabyEngine;

    static bool update_or_exit() {
        Periphery::query_controller();
        if(Shared::back_menu.update(Make::PositionI16(0, GPU::Display::Height - 32))) {
            return true;
        }

        return false;
    }
    
    static void render() {
        Shared::back_menu.render();
    }

    void main() {
        printf("CONT: BlubbBlubbBlubb!!\n");
        Shared::back_menu.reset();

        while(true) {
            if(update_or_exit()) {
                break;
            }
            GPU::swap_buffers_vsync(1);
            Shared::back_menu.render();
        }
    }
}